Analytics Overview
Get aggregated analytics for your survey responses.
GET
https://api.sentisnap.com/v1/surveys/{surveyId}/analytics
Authentication
Requires API key with analytics:read scope.
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
from | string | No | Start date (ISO 8601) |
to | string | No | End date (ISO 8601) |
Response
{
"data": {
"response_count": 1250,
"completion_rate": 0.85,
"average_time": 245,
"sentiment": {
"positive": 0.65,
"neutral": 0.25,
"negative": 0.1
},
"top_keywords": [
{
"keyword": "easy",
"count": 234
},
{
"keyword": "helpful",
"count": 189
},
{
"keyword": "fast",
"count": 156
}
]
}
}Response Fields
| Field | Type | Description |
|---|---|---|
response_count | integer | Total responses in period |
completion_rate | float | Ratio of completed vs started (0-1) |
average_time | integer | Average completion time in seconds |
sentiment.positive | float | Ratio of positive sentiment (0-1) |
sentiment.neutral | float | Ratio of neutral sentiment (0-1) |
sentiment.negative | float | Ratio of negative sentiment (0-1) |
top_keywords | array | Most frequent keywords |